IF OBJECT_ID('GT_RETORNO_CABECALHO_GRUPOS_PRODUTOS_REGRA') IS NULL 
BEGIN
	CREATE TABLE GT_RETORNO_CABECALHO_GRUPOS_PRODUTOS_REGRA(
		CD_CTR BIGINT NOT NULL IDENTITY,
		CD_CTR_GRP_PROD BIGINT NOT NULL);
END

GO

IF OBJECT_ID('PK_GT_RETORNO_CABECALHO_GRUPOS_PRODUTOS_REGRA') IS NULL 
BEGIN
	ALTER TABLE GT_RETORNO_CABECALHO_GRUPOS_PRODUTOS_REGRA ADD CONSTRAINT PK_GT_RETORNO_CABECALHO_GRUPOS_PRODUTOS_REGRA PRIMARY KEY (CD_CTR);
END

GO

IF OBJECT_ID('FK_GT_RETORNO_CABECALHO_GRUPOS_PRODUTOS_REGRA_GT_RETORNO_CABECALHO_GRUPOS_PRODUTOS') IS NULL 
BEGIN
	ALTER TABLE GT_RETORNO_CABECALHO_GRUPOS_PRODUTOS_REGRA ADD CONSTRAINT FK_GT_RETORNO_CABECALHO_GRUPOS_PRODUTOS_REGRA_GT_RETORNO_CABECALHO_GRUPOS_PRODUTOS FOREIGN KEY(CD_CTR_GRP_PROD) REFERENCES GT_RETORNO_CABECALHO_GRUPOS_PRODUTOS(CD_CTR);
END
